import { ZervaProfile } from '../../api/type';
type ShopUrlAction = 'send' | 'admin';
export declare class ProfileZerva {
    profile: ZervaProfile | null;
    isLoading: boolean;
    isGeneratingShopUrl: boolean;
    componentWillLoad(): Promise<void>;
    fetchProfile(): Promise<void>;
    generateShopUrl(action: ShopUrlAction): Promise<void>;
    handleSendBookingLink: () => Promise<void>;
    handleAdminBooking: () => Promise<void>;
    render(): any;
}
export {};
